description

# KeyLocation class Null safety

Defines the standard key locations returned by KeyboardEvent.getKeyLocation.

## Constructors

KeyLocation()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

JOYSTICK → const int
  The event key originated on a game controller or a joystick on a mobile device.
  `5`
LEFT → const int
  The event key is in the left key location.
  `1`
MOBILE → const int
  The event key originated on a mobile device, either on a physical keypad or a virtual keyboard.
  `4`
NUMPAD → const int
  The event key originated on the numeric keypad or with a virtual key corresponding to the numeric keypad.
  `3`
RIGHT → const int
  The event key is in the right key location.
  `2`
STANDARD → const int
  The event key is not distinguished as the left or right version of the key, and did not originate from the numeric keypad (or did not originate with a virtual key corresponding to the numeric keypad).
  `0`